Bug 21615 - name service in %post
Summary: name service in %post
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tammy Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-02 15:39 UTC by Michael Redinger
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 15:50:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Redinger 2000-12-02 15:39:59 UTC
The Reference Guide (Appendix F. Kickstart Installations, Kickstart
Commands) states:

Note, you can access the network in the %post section; however, name
service has not been configured at this point, so only IP addresses will
work.

Name resolution works fine for me, so you can probably remove this.

Comment 1 Tammy Fox 2001-07-13 15:50:15 UTC
I asked a developer working on kickstart and updated the sentence to say 
the following:

If you configured the network with static IP information, including
a nameserver, you can access the network and resolve IP addresses in
the %post section. If you configured the network for DHCP, 
the /etc/resolv.conf file has not been completed when the 
installation executes the %post section. You can access the network,
but you can not resolve IP addresses.  Thus, if you are using DHCP,
you must specify IP addresses in the %post section.


It is fixed in CVS and will be correct for the next release. Thank you
for your report.


Note You need to log in before you can comment on or make changes to this bug.